Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151289 - Inability to set mnemonics to column names in Outline view
Inability to set mnemonics to column names in Outline view
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: A11Y
Depends on:
Blocks: 136658
  Show dependency treegraph
 
Reported: 2008-10-24 14:58 UTC by Martin Entlicher
Modified: 2009-02-19 22:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Use of ampersands. (7.21 KB, image/png)
2008-10-24 14:58 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2008-10-24 14:58:05 UTC
In TreeTableView we were used to set mnemonics via "ColumnMnemonicCharTTV" property. It was not the bast approach
(because of issue #109750), but we need some way to accomplish this when using Outline.
Adding '&' to display name of columns does not work as can be seen from the attachment.
Comment 1 Martin Entlicher 2008-10-24 14:58:51 UTC
Created attachment 72604 [details]
Use of ampersands.
Comment 2 Stanislav Aubrecht 2008-12-08 16:23:52 UTC
reassigning to new component owner
Comment 3 Jiri Rechtacek 2008-12-17 16:59:14 UTC
fixed in core-main/rev/4ada334811b8. Since this fix you can easily use column names with ampersands. A ampersand will be
cut from column name in table but will be used in the columns selector. 
Comment 4 Quality Engineering 2008-12-18 06:36:41 UTC
Integrated into 'main-golden', will be available in build *200812180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4ada334811b8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #151289: Inability to set mnemonics to column names in Outline view


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo